Togetter/min.tを安心してお使い頂くためのガイドラインを公開しました。

mikutterinstallbattle

debian 7.6. backports. mikutter 3.0.6+dfsg-1~bpo70+1
2

/etc/apt/source.list に deb http://ftp.jp.debian.org/debian/ wheezy-backports main を追加
sudo aptitude update
sudo aptitude install ruby ruby-gtk2
sudo aptitude install -t wheezy-backports ruby-gettext
sudo aptitude install mikutter
display_requirements.rb
cd ~/.mikutter/plugin
git clone https://github.com/moguno/mikutter-uwm-hommage.git
git clone https://github.com/moguno/mikutter-okaeri.git

参考文献

リンク yuzuki.hachune.net MikutterInstallBattle - mikutter Wiki
リンク GitHub moguno moguno has 61 repositories written in Ruby, Java, and Shell. Follow their code on GitHub.
やがてクビになる @yomi322

mikutter/core/plugin/uitranslator/uitranslator.rb:33:in `block in spec=': uninitialized constant GetText::Tools (NameError)

2014-08-19 23:18:45
コスモ @cosmo__

@yomi322 Gemfileのあるディレクトリでbundle install --path vendor/bundle && bundle exec ruby mikutter.rb じゃないかなと

2014-08-19 23:29:06
やがてクビになる @yomi322

@cosmo__ やってみたけど、変わんなかったですね。ちなみに、Gemfileってcore/plugin/uitranslator/Gemfileとcore/plugin/gtk/Gemfileのことでいいんですよね?

2014-08-19 23:42:31
コスモ @cosmo__

@yomi322 mikutterのrootディレクトリのGemfileです。 yaourtやapt-getでインストールしている時は、どうなんだろう…?

2014-08-19 23:45:45
やがてクビになる @yomi322

@cosmo__ あーやっぱりそうですかー。ファイルないですね。debianでapt-getで入れました

2014-08-19 23:47:02
コスモ @cosmo__

@yomi322 ruby-gettextって3.0.0より前のものが入ってたりとかしないですかね?mikutter側では3.0.0 >= を要求しているはずです

2014-08-19 23:52:58
やがてクビになる @yomi322

@cosmo__ あー原因はそれっぽいですね。バージョンが2.2.1-3ってなってます

2014-08-19 23:54:28
やがてクビになる @yomi322

@cosmo__ ruby-gettextをbackportsから入れなおしたら起動できました!!

2014-08-19 23:55:55
NOKUBI Takatsugu野首貴嗣 @knok

手元のstable環境でbackport mikutterが動かない。原因を調べねば…

2014-09-02 17:13:29
コスモ @cosmo__

@knok 最近のmikutterはruby-gettext 3.0+を要求しています。2.xが入っている場合はyomi322さんと同様のエラー twitter.com/yomi322/status… が出ると思うのですが、ruby-gettextのバージョンを見て頂けますか?

2014-09-02 18:44:30
追加

「その後」の追加項目

私の投稿

Paul @paul_ga

対象はaoa-150 debian 7.6.昨夜はgit cloneしたmikutterについて動かそうとしてダメだった.mkmf が LoadError でダメだった. #mikutterinstallbattle

2014-10-10 08:45:29
Paul @paul_ga

bundle install 中,addressable, glib2, plg-config, rakeはインストールされている #mikutterinstallbattle

2014-10-10 08:46:57
Paul @paul_ga

gem list --localしたらbundlerとpkg-configか ja.wikipedia.org/wiki/RubyGems RubyGems - Wikipedia #mikutterinstallbattle

2014-10-10 08:49:26
Paul @paul_ga

その他,hisotryで見える,昨夜の作業は sudo aptitude install ruby ruby-gtk2 #mikutterinstallbattle

2014-10-10 08:50:50
Paul @paul_ga

aptについて,flashplugin-nonfreeのためにcontribをチェックしたんだよなあ.backportsもチェックして,パッケージを使用しよう #mikutterinstallbattle

2014-10-10 08:51:37
残りを読む(28)

コメント

oaul @paul_ga 2014年10月10日
「その後」を追加した
0